* [Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules
@ 2020-05-06 10:23 Alexander V. Tikhonov
2020-05-15 16:13 ` Sergey Bronnikov
` (2 more replies)
0 siblings, 3 replies; 4+ messages in thread
From: Alexander V. Tikhonov @ 2020-05-06 10:23 UTC (permalink / raw)
To: Oleg Piskunov, Sergey Bronnikov; +Cc: tarantool-patches
From: "Alexander.V Tikhonov" <avtikhon@tarantool.org>
Found that modules may have only sources packages w/o binaries
packages. Script updated to be able to work with only binaries
either sources RPM packages. The same fix was already done for
DEB packages at commit 4527a4da9640a63601d0a1d0b2bee7f8cb4c0c85.
Part of #4839
---
Github: https://github.com/tarantool/tarantool/tree/avtikhon/gh-4839-s3-script-full-ci
Issue: https://github.com/tarantool/tarantool/issues/4839
tools/update_repo.sh | 17 ++++++++++-------
1 file changed, 10 insertions(+), 7 deletions(-)
diff --git a/tools/update_repo.sh b/tools/update_repo.sh
index 239f74a73..47eadd189 100755
--- a/tools/update_repo.sh
+++ b/tools/update_repo.sh
@@ -617,11 +617,8 @@ function pack_rpm {
pack_patterns=$2
pack_rpms=$(cd $repo && ls $pack_patterns 2>/dev/null || true)
- if [ -z "$pack_rpms" ]; then
- echo "ERROR: Current '$repo' path doesn't have '$pack_patterns' packages in path"
- usage
- exit 1
- fi
+ [ -n "$pack_rpms" ] || return 0
+ packed_rpms=pack_rpms
# copy the needed package binaries to the workspace
( cd $repo && cp $pack_rpms $ws/. )
@@ -952,7 +949,7 @@ elif [ "$os" == "el" -o "$os" == "fedora" ]; then
fi
# unlock the publishing
$rm_file $ws_lockfile
- popd
+ popd 2>/dev/null || true
# prepare the workspace
prepare_ws ${os}_${option_dist}
@@ -963,7 +960,13 @@ elif [ "$os" == "el" -o "$os" == "fedora" ]; then
fi
# unlock the publishing
$rm_file $ws_lockfile
- popd
+ popd 2>/dev/null || true
+
+ if [ -z "$packed_rpms" ]; then
+ echo "ERROR: Current '$repo' path doesn't have '*.x86_64.rpm *.noarch.rpm *.src.rpm' packages in path"
+ usage
+ exit 1
+ fi
else
echo "USAGE: given OS '$os' is not supported, use any single from the list: $alloss"
usage
--
2.17.1
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules
2020-05-06 10:23 [Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules Alexander V. Tikhonov
@ 2020-05-15 16:13 ` Sergey Bronnikov
2020-05-15 17:05 ` Oleg Piskunov
2020-05-20 6:49 ` Kirill Yukhin
2 siblings, 0 replies; 4+ messages in thread
From: Sergey Bronnikov @ 2020-05-15 16:13 UTC (permalink / raw)
To: Alexander V. Tikhonov; +Cc: Oleg Piskunov, tarantool-patches
Hi, Alexander
On 13:23 Wed 06 May , Alexander V. Tikhonov wrote:
> From: "Alexander.V Tikhonov" <avtikhon@tarantool.org>
>
> Found that modules may have only sources packages w/o binaries
> packages. Script updated to be able to work with only binaries
> either sources RPM packages. The same fix was already done for
> DEB packages at commit 4527a4da9640a63601d0a1d0b2bee7f8cb4c0c85.
>
> Part of #4839
> ---
LGTM
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules
2020-05-06 10:23 [Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules Alexander V. Tikhonov
2020-05-15 16:13 ` Sergey Bronnikov
@ 2020-05-15 17:05 ` Oleg Piskunov
2020-05-20 6:49 ` Kirill Yukhin
2 siblings, 0 replies; 4+ messages in thread
From: Oleg Piskunov @ 2020-05-15 17:05 UTC (permalink / raw)
To: Alexander V. Tikhonov; +Cc: tarantool-patches
[-- Attachment #1: Type: text/plain, Size: 2107 bytes --]
LGTM
>Среда, 6 мая 2020, 13:23 +03:00 от Alexander V. Tikhonov <avtikhon@tarantool.org>:
>
>From: "Alexander.V Tikhonov" < avtikhon@tarantool.org >
>
>Found that modules may have only sources packages w/o binaries
>packages. Script updated to be able to work with only binaries
>either sources RPM packages. The same fix was already done for
>DEB packages at commit 4527a4da9640a63601d0a1d0b2bee7f8cb4c0c85.
>
>Part of #4839
>---
>
>Github: https://github.com/tarantool/tarantool/tree/avtikhon/gh-4839-s3-script-full-ci
>Issue: https://github.com/tarantool/tarantool/issues/4839
>
> tools/update_repo.sh | 17 ++++++++++-------
> 1 file changed, 10 insertions(+), 7 deletions(-)
>
>diff --git a/tools/update_repo.sh b/tools/update_repo.sh
>index 239f74a73..47eadd189 100755
>--- a/tools/update_repo.sh
>+++ b/tools/update_repo.sh
>@@ -617,11 +617,8 @@ function pack_rpm {
> pack_patterns=$2
>
> pack_rpms=$(cd $repo && ls $pack_patterns 2>/dev/null || true)
>- if [ -z "$pack_rpms" ]; then
>- echo "ERROR: Current '$repo' path doesn't have '$pack_patterns' packages in path"
>- usage
>- exit 1
>- fi
>+ [ -n "$pack_rpms" ] || return 0
>+ packed_rpms=pack_rpms
>
> # copy the needed package binaries to the workspace
> ( cd $repo && cp $pack_rpms $ws/. )
>@@ -952,7 +949,7 @@ elif [ "$os" == "el" -o "$os" == "fedora" ]; then
> fi
> # unlock the publishing
> $rm_file $ws_lockfile
>- popd
>+ popd 2>/dev/null || true
>
> # prepare the workspace
> prepare_ws ${os}_${option_dist}
>@@ -963,7 +960,13 @@ elif [ "$os" == "el" -o "$os" == "fedora" ]; then
> fi
> # unlock the publishing
> $rm_file $ws_lockfile
>- popd
>+ popd 2>/dev/null || true
>+
>+ if [ -z "$packed_rpms" ]; then
>+ echo "ERROR: Current '$repo' path doesn't have '*.x86_64.rpm *.noarch.rpm *.src.rpm' packages in path"
>+ usage
>+ exit 1
>+ fi
> else
> echo "USAGE: given OS '$os' is not supported, use any single from the list: $alloss"
> usage
>--
>2.17.1
>
--
Oleg Piskunov
[-- Attachment #2: Type: text/html, Size: 3235 bytes --]
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules
2020-05-06 10:23 [Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules Alexander V. Tikhonov
2020-05-15 16:13 ` Sergey Bronnikov
2020-05-15 17:05 ` Oleg Piskunov
@ 2020-05-20 6:49 ` Kirill Yukhin
2 siblings, 0 replies; 4+ messages in thread
From: Kirill Yukhin @ 2020-05-20 6:49 UTC (permalink / raw)
To: Alexander V. Tikhonov; +Cc: Oleg Piskunov, tarantool-patches
Hello,
On 06 май 13:23, Alexander V. Tikhonov wrote:
> From: "Alexander.V Tikhonov" <avtikhon@tarantool.org>
>
> Found that modules may have only sources packages w/o binaries
> packages. Script updated to be able to work with only binaries
> either sources RPM packages. The same fix was already done for
> DEB packages at commit 4527a4da9640a63601d0a1d0b2bee7f8cb4c0c85.
>
> Part of #4839
> ---
>
> Github: https://github.com/tarantool/tarantool/tree/avtikhon/gh-4839-s3-script-full-ci
> Issue: https://github.com/tarantool/tarantool/issues/4839
I've checked your patch into 1.10, 2.3, 2.4 and master.
--
Regards, Kirill Yukhin
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2020-05-20 6:49 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-05-06 10:23 [Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules Alexander V. Tikhonov
2020-05-15 16:13 ` Sergey Bronnikov
2020-05-15 17:05 ` Oleg Piskunov
2020-05-20 6:49 ` Kirill Yukhin
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox